$ildasmPath = gci -Filter "ildasm.exe" -Path "C:\Program Files (x86)\Microsoft SDKs\Windows" -Recurse -ErrorAction SilentlyContinue | Select-Object -First 1

$ilasmPath = "C:\Windows\Microsoft.NET\Framework64\v4.0.30319\ilasm.exe"

& pushd  $env:TargetDir

$targetFileName = $env:TargetFileName
 
Write-Host "FilePath: " $filePath
Write-Host "TargetDir: " $env:TargetDir

$cmd = "`"$($ildasmPath.FullName)`" $targetFileName /out=$($targetFileName).il /TOKENS /BYTES"
cmd.exe /c $cmd

$cmd = "MakeExport.exe $targetFileName.il x64"
cmd.exe /c $cmd

$cmd = "`"$ilasmPath`" $($targetFileName).il /RESOURCE=$($targetFileName).res /OUT=$targetFileName /DLL /X64"
cmd.exe /c $cmd

& popd